import { StoreEnhancer } from 'redux';
export declare type MainStateSyncEnhancerOptions = {
    /**
     * Custom store serializaton function. This function is called for each member of the object.
     * If a member contains nested objects,
     * the nested objects are transformed before the parent object is.
     */
    replacer?: (this: unknown, key: string, value: unknown) => unknown;
};
/**
 * Creates new instance of main process redux enhancer.
 * @param {MainStateSyncEnhancerOptions} options Additional enhancer options
 * @returns StoreEnhancer
 */
export declare const mainStateSyncEnhancer: (options?: MainStateSyncEnhancerOptions) => StoreEnhancer;
