import { StoreEnhancer } from 'redux';
export declare type RendererStateSyncEnhancerOptions = {
    /**
     * Custom function used during de-serialization of the redux store to transform the object.
     * This function is called for each member of the object. If a member contains nested objects,
     * the nested objects are transformed before the parent object is.
     */
    reviver?: (this: unknown, key: string, value: unknown) => unknown;
};
/**
 * Creates new instance of renderer process redux enhancer.
 * Upon initialization, it will fetch the state from the main process & subscribe for event
 *  communication required to keep the actions in sync.
 * @param {RendererStateSyncEnhancerOptions} options Additional settings for enhancer
 * @returns StoreEnhancer
 */
export declare const rendererStateSyncEnhancer: (options?: RendererStateSyncEnhancerOptions) => StoreEnhancer;
